gRPC C#
gRPC C#
Namespaces
Grpc.Core
Server Class
Server Constructor
Server Properties
Server Methods

Server Constructor

Create a new server.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public Server(
    	IEnumerable<ChannelOption> options = null
    )

    Public Sub New (
    	Optional options As IEnumerable(Of ChannelOption) = Nothing
    )

    public:
    Server(
    	IEnumerable<ChannelOption^>^ options = nullptr
    )

    new :
            ?options : IEnumerable<ChannelOption>
    (* Defaults:
            let _options = defaultArg options null
    *)
    -> Server

#### Parameters

options (Optional)
  Type: System.Collections.Generic
  IEnumerable
  ChannelOption
  Channel options.

See Also

#### Reference

Server Class
Grpc.Core Namespace